Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface TimerScheduleType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  TimerScheduleTypeImpl

    public interface TimerScheduleType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `timer-scheduleType` xsd type

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getDayOfMonth()` Returns the `day-of-month` element
`java.lang.String` | `getDayOfWeek()` Returns the `day-of-week` element
`java.lang.String` | `getHour()` Returns the `hour` element
`java.lang.String` | `getMinute()` Returns the `minute` element
`java.lang.String` | `getMonth()` Returns the `month` element
`java.lang.String` | `getSecond()` Returns the `second` element
`java.lang.String` | `getYear()` Returns the `year` element
`TimerScheduleType<T>` | `removeDayOfMonth()` Removes the `day-of-month` element
`TimerScheduleType<T>` | `removeDayOfWeek()` Removes the `day-of-week` element
`TimerScheduleType<T>` | `removeHour()` Removes the `hour` element
`TimerScheduleType<T>` | `removeMinute()` Removes the `minute` element
`TimerScheduleType<T>` | `removeMonth()` Removes the `month` element
`TimerScheduleType<T>` | `removeSecond()` Removes the `second` element
`TimerScheduleType<T>` | `removeYear()` Removes the `year` element
`TimerScheduleType<T>` | `setDayOfMonth(java.lang.String dayOfMonth)` If not already created, a new `day-of-month` element with the given value will be created.
`TimerScheduleType<T>` | `setDayOfWeek(java.lang.String dayOfWeek)` If not already created, a new `day-of-week` element with the given value will be created.
`TimerScheduleType<T>` | `setHour(java.lang.String hour)` If not already created, a new `hour` element with the given value will be created.
`TimerScheduleType<T>` | `setMinute(java.lang.String minute)` If not already created, a new `minute` element with the given value will be created.
`TimerScheduleType<T>` | `setMonth(java.lang.String month)` If not already created, a new `month` element with the given value will be created.
`TimerScheduleType<T>` | `setSecond(java.lang.String second)` If not already created, a new `second` element with the given value will be created.
`TimerScheduleType<T>` | `setYear(java.lang.String year)` If not already created, a new `year` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setSecond

    TimerScheduleType<T> setSecond(java.lang.String second)

  If not already created, a new `second` element with the given value will be created. Otherwise, the existing `second` element will be updated with the given value.

  Returns:
    the current instance of `TimerScheduleType`

### removeSecond

    TimerScheduleType<T> removeSecond()

  Removes the `second` element

  Returns:
    the current instance of `TimerScheduleType`

### getSecond

    java.lang.String getSecond()

  Returns the `second` element

  Returns:
    the node defined for the element `second`

### setMinute

    TimerScheduleType<T> setMinute(java.lang.String minute)

  If not already created, a new `minute` element with the given value will be created. Otherwise, the existing `minute` element will be updated with the given value.

  Returns:
    the current instance of `TimerScheduleType`

### removeMinute

    TimerScheduleType<T> removeMinute()

  Removes the `minute` element

  Returns:
    the current instance of `TimerScheduleType`

### getMinute

    java.lang.String getMinute()

  Returns the `minute` element

  Returns:
    the node defined for the element `minute`

### setHour

    TimerScheduleType<T> setHour(java.lang.String hour)

  If not already created, a new `hour` element with the given value will be created. Otherwise, the existing `hour` element will be updated with the given value.

  Returns:
    the current instance of `TimerScheduleType`

### removeHour

    TimerScheduleType<T> removeHour()

  Removes the `hour` element

  Returns:
    the current instance of `TimerScheduleType`

### getHour

    java.lang.String getHour()

  Returns the `hour` element

  Returns:
    the node defined for the element `hour`

### setDayOfMonth

    TimerScheduleType<T> setDayOfMonth(java.lang.String dayOfMonth)

  If not already created, a new `day-of-month` element with the given value will be created. Otherwise, the existing `day-of-month` element will be updated with the given value.

  Returns:
    the current instance of `TimerScheduleType`

### removeDayOfMonth

    TimerScheduleType<T> removeDayOfMonth()

  Removes the `day-of-month` element

  Returns:
    the current instance of `TimerScheduleType`

### getDayOfMonth

    java.lang.String getDayOfMonth()

  Returns the `day-of-month` element

  Returns:
    the node defined for the element `day-of-month`

### setMonth

    TimerScheduleType<T> setMonth(java.lang.String month)

  If not already created, a new `month` element with the given value will be created. Otherwise, the existing `month` element will be updated with the given value.

  Returns:
    the current instance of `TimerScheduleType`

### removeMonth

    TimerScheduleType<T> removeMonth()

  Removes the `month` element

  Returns:
    the current instance of `TimerScheduleType`

### getMonth

    java.lang.String getMonth()

  Returns the `month` element

  Returns:
    the node defined for the element `month`

### setDayOfWeek

    TimerScheduleType<T> setDayOfWeek(java.lang.String dayOfWeek)

  If not already created, a new `day-of-week` element with the given value will be created. Otherwise, the existing `day-of-week` element will be updated with the given value.

  Returns:
    the current instance of `TimerScheduleType`

### removeDayOfWeek

    TimerScheduleType<T> removeDayOfWeek()

  Removes the `day-of-week` element

  Returns:
    the current instance of `TimerScheduleType`

### getDayOfWeek

    java.lang.String getDayOfWeek()

  Returns the `day-of-week` element

  Returns:
    the node defined for the element `day-of-week`

### setYear

    TimerScheduleType<T> setYear(java.lang.String year)

  If not already created, a new `year` element with the given value will be created. Otherwise, the existing `year` element will be updated with the given value.

  Returns:
    the current instance of `TimerScheduleType`

### removeYear

    TimerScheduleType<T> removeYear()

  Removes the `year` element

  Returns:
    the current instance of `TimerScheduleType`

### getYear

    java.lang.String getYear()

  Returns the `year` element

  Returns:
    the node defined for the element `year`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD